Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.exceptions
Class SessionLoaderException

`java.lang.Object
java.lang.Throwable
java.lang.Exception
java.lang.RuntimeException
oracle.toplink.exceptions.TopLinkException
oracle.toplink.exceptions.SessionLoaderException`

All Implemented Interfaces:
  java.io.Serializable

public class SessionLoaderException
extends TopLinkException

See Also:
  Serialized Form

Field Summary
`static int` | `COULD_NOT_FIND_PROJECT_XML`
`static int` | `FAILED_TO_LOAD_PROJECT_XML`
`static int` | `FINAL_EXCEPTION`
`static int` | `NON_PARSE_EXCEPTION`
`static int` | `UN_EXPECTED_VALUE_OF_TAG`
`static int` | `UNABLE_TO_LOAD_PROJECT_CLASS`
`static int` | `UNABLE_TO_PARSE_XML`
`static int` | `UNABLE_TO_PROCESS_TAG`
`static int` | `UNKNOWN_ATTRIBUTE_OF_TAG`
`static int` | `UNKNOWN_TAG`
`static int` | `XML_SCHEMA_PARSING_ERROR`

Method Summary
`static SessionLoaderException` | `couldNotFindProjectXml(java.lang.String fileName)`
`static SessionLoaderException` | `failedToLoadProjectClass(java.lang.String className, java.lang.Throwable exception)`
`static SessionLoaderException` | `failedToLoadProjectXml(java.lang.String fileName, java.lang.Throwable exception)`
`static SessionLoaderException` | `failedToLoadTag(java.lang.String parentNode, java.lang.String nodeValue, java.lang.Throwable exception)`
`static SessionLoaderException` | `failedToParseXML(java.lang.String message, int lineNumber, int columnNumber, java.lang.Throwable exception)`
`static SessionLoaderException` | `failedToParseXML(java.lang.String message, java.lang.Throwable exception)`
`static SessionLoaderException` | `finalException(java.util.Vector exceptionList)`
`java.util.Vector` | `getExceptionList()`
`static SessionLoaderException` | `nonParseException(java.lang.Throwable exception)`
`void` | `printStackTrace(java.io.PrintWriter writer)` PUBLIC: Iterate through the exception list printing out the stack traces.
`void` | `setExceptionList(java.util.Vector list)`
`java.lang.String` | `toString()` INTERNAL:
`static SessionLoaderException` | `unexpectedValueOfTag(java.lang.String nodeValue, java.lang.String parentNode)`
`static SessionLoaderException` | `unknownAttributeOfTag(java.lang.String nodeName)`
`static SessionLoaderException` | `unkownTagAtNode(java.lang.String tagName, java.lang.String nodeName, java.lang.Throwable exception)`

Methods inherited from class oracle.toplink.exceptions.TopLinkException
`getErrorCode, getInternalException, getMessage, getSession, printStackTrace, printStackTrace, setShouldPrintInternalException`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, setStackTrace`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FINAL_EXCEPTION

    public static final int FINAL_EXCEPTION

  See Also:
    Constant Field Values

### UNKNOWN_TAG

    public static final int UNKNOWN_TAG

  See Also:
    Constant Field Values

### UNABLE_TO_LOAD_PROJECT_CLASS

    public static final int UNABLE_TO_LOAD_PROJECT_CLASS

  See Also:
    Constant Field Values

### UNABLE_TO_PROCESS_TAG

    public static final int UNABLE_TO_PROCESS_TAG

  See Also:
    Constant Field Values

### COULD_NOT_FIND_PROJECT_XML

    public static final int COULD_NOT_FIND_PROJECT_XML

  See Also:
    Constant Field Values

### FAILED_TO_LOAD_PROJECT_XML

    public static final int FAILED_TO_LOAD_PROJECT_XML

  See Also:
    Constant Field Values

### UNABLE_TO_PARSE_XML

    public static final int UNABLE_TO_PARSE_XML

  See Also:
    Constant Field Values

### NON_PARSE_EXCEPTION

    public static final int NON_PARSE_EXCEPTION

  See Also:
    Constant Field Values

### UN_EXPECTED_VALUE_OF_TAG

    public static final int UN_EXPECTED_VALUE_OF_TAG

  See Also:
    Constant Field Values

### UNKNOWN_ATTRIBUTE_OF_TAG

    public static final int UNKNOWN_ATTRIBUTE_OF_TAG

  See Also:
    Constant Field Values

### XML_SCHEMA_PARSING_ERROR

    public static final int XML_SCHEMA_PARSING_ERROR

  See Also:
    Constant Field Values

Method Detail

### couldNotFindProjectXml

    public static SessionLoaderException couldNotFindProjectXml(java.lang.String fileName)

### unkownTagAtNode

    public static SessionLoaderException unkownTagAtNode(java.lang.String tagName,
                                                         java.lang.String nodeName,
                                                         java.lang.Throwable exception)

### failedToLoadProjectClass

    public static SessionLoaderException failedToLoadProjectClass(java.lang.String className,
                                                                  java.lang.Throwable exception)

### failedToLoadProjectXml

    public static SessionLoaderException failedToLoadProjectXml(java.lang.String fileName,
                                                                java.lang.Throwable exception)

### failedToLoadTag

    public static SessionLoaderException failedToLoadTag(java.lang.String parentNode,
                                                         java.lang.String nodeValue,
                                                         java.lang.Throwable exception)

### finalException

    public static SessionLoaderException finalException(java.util.Vector exceptionList)

### failedToParseXML

    public static SessionLoaderException failedToParseXML(java.lang.String message,
                                                          int lineNumber,
                                                          int columnNumber,
                                                          java.lang.Throwable exception)

### failedToParseXML

    public static SessionLoaderException failedToParseXML(java.lang.String message,
                                                          java.lang.Throwable exception)

### nonParseException

    public static SessionLoaderException nonParseException(java.lang.Throwable exception)

### unexpectedValueOfTag

    public static SessionLoaderException unexpectedValueOfTag(java.lang.String nodeValue,
                                                              java.lang.String parentNode)

### unknownAttributeOfTag

    public static SessionLoaderException unknownAttributeOfTag(java.lang.String nodeName)

### setExceptionList

    public void setExceptionList(java.util.Vector list)

### getExceptionList

    public java.util.Vector getExceptionList()

### printStackTrace

    public void printStackTrace(java.io.PrintWriter writer)

  PUBLIC: Iterate through the exception list printing out the stack traces.
  Overrides:
    `printStackTrace` in class `TopLinkException`

### toString

    public java.lang.String toString()

  Description copied from class: `TopLinkException`
  INTERNAL:
  Overrides:
    `toString` in class `TopLinkException`

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD